INSTALL {base} | R Documentation

## Install Add-on Packages

### Description

Utility for installing add-on packages.

### Usage

    R CMD INSTALL [options] [-l lib] pkgs

### Arguments

`pkgs` | A list with the path names of the packages to be installed.
`lib` | the path name of the R library tree to install to.
`options` | a list of options through which in particular the process for building the help files can be controlled.

### Details

To install packages into the default library tree (which is rooted at ``$R_HOME/library`'), do `R CMD INSTALL pkgs`. To install into the library tree `lib` instead of the default one, use `R CMD INSTALL -l lib pkgs`.

Both `lib` and the elements of `pkgs` may be absolute or relative path names. `pkgs` can also contain name of package archive files of the form ``pkg_version.tar.gz`' as obtained from CRAN, these are then extracted in a temporary directory.

Some package sources contain a ``configure`' script that can be passed arguments via the option `--configure-args`, if necessary. One can also bypass the configure mechanism using the option `--no-configure`.

If `--no-docs` is given, no help files are built. Options `--no-text`, `--no-html`, and `--no-latex` suppress creating the text, HTML, and LaTeX versions, respectively. The default is to build help files in all three versions.

Use `R CMD INSTALL --help` for more usage information.

### See Also

`REMOVE`, `update.packages` for automatic update of packages using the internet; the chapter on ``Creating R packages'' in ``Writing R Extensions'' (see the ``doc/manual`' subdirectory of the R source tree).